Botan 1.10.17

Classes | Namespaces | Functions
bigint.h File Reference
`#include <botan/rng.h>`
`#include <botan/secmem.h>`
`#include <botan/mp_types.h>`
`#include <iosfwd>`

Go to the source code of this file.

## Classes
class | Botan::BigInt
struct | Botan::BigInt::DivideByZero

## Namespaces
| Botan
| std

## Functions
bool | Botan::operator!= (const BigInt &a, const BigInt &b)
BigInt | Botan::operator% (const BigInt &n, const BigInt &mod)
word | Botan::operator% (const BigInt &n, word mod)
BigInt | Botan::operator* (const BigInt &x, const BigInt &y)
BigInt | Botan::operator+ (const BigInt &x, const BigInt &y)
BigInt | Botan::operator- (const BigInt &x, const BigInt &y)
BigInt | Botan::operator/ (const BigInt &x, const BigInt &y)
bool | Botan::operator< (const BigInt &a, const BigInt &b)
std::ostream & | Botan::operator<< (std::ostream &stream, const BigInt &n)
BigInt | Botan::operator<< (const BigInt &x, size_t shift)
bool | Botan::operator<= (const BigInt &a, const BigInt &b)
bool | Botan::operator== (const BigInt &a, const BigInt &b)
bool | Botan::operator> (const BigInt &a, const BigInt &b)
bool | Botan::operator>= (const BigInt &a, const BigInt &b)
std::istream & | Botan::operator>> (std::istream &stream, BigInt &n)
BigInt | Botan::operator>> (const BigInt &x, size_t shift)
template<>
void | std::swap (Botan::BigInt &x, Botan::BigInt &y)